> For the complete documentation index, see [llms.txt](https://docs.buildings.ability.abb/collection/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.buildings.ability.abb/collection/german-14.2-freezed/apps/apps/gp-joule.md).

# GP Joule

Übersetze ins Deutsche:

## GP Joule Benutzerhandbuch

#### Einführung

> Die GP Joule App bietet Integration und Synchronisation zwischen Eliona und GP Joule Diensten.

### Überblick

Dieses Handbuch bietet Anweisungen zur Konfiguration, Installation und Nutzung der GP Joule App zur Verwaltung von Ressourcen und zur Synchronisation von Daten zwischen Eliona und GP Joule Diensten.

### Installation

Installieren Sie die GP Joule App über den Eliona App Store.

### Konfiguration

Die GP Joule App erfordert eine Konfiguration über die Eliona-Einstellungen. Nachfolgend sind die allgemeinen Schritte und Details aufgeführt, die erforderlich sind, um die App effektiv zu konfigurieren.

#### Registrierung der App im GP Joule Dienst

Erstellen Sie Zugangsdaten im GP Joule Dienst, um die GP Joule Dienste von Eliona aus zu verbinden. Alle erforderlichen Zugangsdaten sind unten im Konfigurationsabschnitt aufgeführt.

Bitte kontaktieren Sie GP Joule, um die URL für den API-Zugang und Ihren Zugangsschlüssel zu erhalten.

#### Konfiguration der GP Joule App

Konfigurationen können in Eliona unter `Apps > GP Joule > Einstellungen` erstellt werden, wodurch die [Generische Benutzeroberfläche](https://doc.eliona.io/collection/v/eliona-english/manuals/settings/apps) der App geöffnet wird. Hier können Sie den entsprechenden Endpunkt mit der POST-Methode verwenden. Jede Konfiguration erfordert die folgenden Daten:

| Attribut          | Beschreibung                                                        |
| ----------------- | ------------------------------------------------------------------- |
| `rootUrl`         | URL der GP Joule API-Dienste.                                       |
| `apiKey`          | Client Secrets, die vom GP Joule Dienst erhalten wurden.            |
| `assetFilter`     | Filterung von Assets während der Kontinuierlichen Asset-Erstellung. |
| `enable`          | Flag zum Aktivieren oder Deaktivieren dieser Konfiguration.         |
| `refreshInterval` | Intervall in Sekunden für die Datensynchronisation.                 |
| `requestTimeout`  | Zeitüberschreitung für API-Anfragen in Sekunden.                    |
| `projectIDs`      | Liste der Eliona Projekt-IDs zur Datensammlung.                     |

Beispielkonfiguration JSON:

```json
{
  "rootUrl": "http://gpjoule.api.url/",
  "apiKey": "s3cr3t",
  "enable": true,
  "refreshInterval": 60,
  "requestTimeout": 120,
  "projectIDs": [
    "10"
  ]
}
```

### Kontinuierliche Asset-Erstellung

Sobald konfiguriert, startet die App die Kontinuierliche Asset-Erstellung (CAC). Entdeckte Ressourcen werden automatisch als Assets in Eliona erstellt, und Benutzer werden über das Benachrichtigungssystem von Eliona informiert.

Die GP Joule Infrastruktur wird über das Ladepunkt-Asset verwaltet, das alle Ladepunkte nach ihrem Cluster-Namen gruppiert. Jeder Ladepunkt kann einen oder mehrere Anschlüsse haben, jeder mit eigenen Ladeeigenschaften.

Zusätzlich wird für jeden Anschluss ein Sitzungsprotokoll-Asset erstellt, das historische Aufzeichnungen aller Ladesitzungen bereitstellt.

### Zusätzliche Funktionen

#### Dashboard-Vorlagen

Die App bietet ein vordefiniertes Dashboard, das die wichtigsten Informationen klar darstellt. Sie können ein solches Dashboard unter `Dashboards > Dashboard kopieren > Von App > GP Joule` erstellen.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.buildings.ability.abb/collection/german-14.2-freezed/apps/apps/gp-joule.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
